.youtube-overlay {
  background: transparent;

  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  z-index: var(--z-index-10);
  background-position: center;
  background-repeat: no-repeat;
  background-size: contain;
}

.youtube-overlay iframe {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  pointer-events: none;
}

.youtube-overlay .button {
  position: absolute;
  top: calc(50% + 17px);
  left: calc(50% - 34px);
  z-index: var(--z-index-1000);
}

.youtube-overlay .button.active {
  display: none;
}

@media (min-aspect-ratio: 16/9) {
  .youtube-overlay {
    height: 300%;
    top: -100%;
  }
}

@media (max-aspect-ratio: 16/9) {
  .youtube-overlay {
    width: 300%;
    left: -100%;
  }
}

@media (max-width: 1023px) {
  .youtube-overlay .button {
    top: calc(50% - 18px);
    left: calc(50% - 39px);
  }
}

@media (max-width: 767px) {
  .youtube-overlay .button {
    display: none;
  }
}